<?php

use think\migration\Migrator;
use think\migration\db\Column;
use Phinx\Db\Adapter\MysqlAdapter;

class Fan extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('fan', ['engine' => 'InnoDB', 'collation' => 'utf8mb4_general_ci', 'comment' => '风机表' ,'id' => 'id','signed' => true ,'primary_key' => ['id']]);
        $table->addColumn('wind_id', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => false,'default' => 0,'signed' => true,'comment' => '风厂的id',])
			->addColumn('number', 'string', ['limit' => 32,'null' => false,'default' => 0,'signed' => true,'comment' => '编号',])
			->addColumn('supplier', 'string', ['limit' => 100,'null' => true,'signed' => true,'comment' => '供应商',])
			->addColumn('production_date', 'date', ['null' => true,'signed' => true,'comment' => '出厂日期',])
			->addColumn('install_date', 'date', ['null' => true,'signed' => true,'comment' => '安装日期',])
			->addColumn('location', 'string', ['limit' => 100,'null' => true,'signed' => true,'comment' => '位置',])
			->addColumn('lng_lat', 'string', ['limit' => 50,'null' => true,'signed' => true,'comment' => '经纬度（json）',])
			->addColumn('info', 'string', ['limit' => 100,'null' => true,'signed' => true,'comment' => '备注',])
			->addColumn('creator_id', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => false,'default' => 0,'signed' => false,'comment' => '创建人ID',])
			->addColumn('created_at', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => false,'default' => 0,'signed' => false,'comment' => '创建时间',])
			->addColumn('updated_at', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => false,'default' => 0,'signed' => false,'comment' => '更新时间',])
			->addColumn('deleted_at', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => false,'default' => 0,'signed' => false,'comment' => '软删除',])
            ->create();
    }
}
